#include "ListUsersService.hpp"
#include <iostream>
#include "../requests/ListUsersRequest.hpp"
#include "../responses/ListUsersResponse.hpp"

using namespace mole;
using namespace serv;

ListUsersService::ListUsersService(mole::ctx::Request * r):Service(r){
    setResponse(new ListUsersResponse());
}

ListUsersService::ListUsersService(){}

ListUsersService::~ListUsersService(){}

Service *
ListUsersService::newInvocableService(mole::ctx::Request * r){
    return new ListUsersService(r);
}
